Subject: [core] ABNF for draft-core-dev-urn

From: Cullen Jennings <[email-masked]>
Date: Mon, 7 Oct 2019 16:22:22 -0600

I was looking at the ABNF for this URN and the extensibility seemed slight wrong. 

We allow identifiers to be made out the characters ( ALPHA / DIGIT / "-" / “.” ) but component  are restricted to ( ALPHA / DIGIT ).

I don’t see any reason for this and suspect it was just a simple oversight. I have submitted a PR make the characters allowed in an component be the same as the identifier. 

The PR also just simplifies the ABNF and allows future URN to be defined using more “:” after the first subtype. 

The PR is at https://github.com/jariarkko/core-dev-urn/pull/3

Let me know if there are any problems with this 

Thanks, Cullen